WinPerf.PERF_OBJECT_TYPE (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinPerf, class: PERF_OBJECT_TYPE

Package com.sun.jna.platform.win32

# Class WinPerf.PERF_OBJECT_TYPE

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinPerf.PERF_OBJECT_TYPE

Enclosing interface:
  WinPerf

@FieldOrder({"TotalByteLength","DefinitionLength","HeaderLength","ObjectNameTitleIndex","ObjectNameTitle","ObjectHelpTitleIndex","ObjectHelpTitle","DetailLevel","NumCounters","DefaultCounter","NumInstances","CodePage","PerfTime","PerfFreq"}) public static class WinPerf.PERF_OBJECT_TYPE extends Structure
Describes object-specific performance information, for example, the number of instances of the object and the number of counters that the object defines.

See Also:
  - PERF_OBJECT_TYPE

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `CodePage`
  `int`
  `DefaultCounter`
  `int`
  `DefinitionLength`
  `int`
  `DetailLevel`
  `int`
  `HeaderLength`
  `int`
  `NumCounters`
  `int`
  `NumInstances`
  `int`
  `ObjectHelpTitle`
  `int`
  `ObjectHelpTitleIndex`
  `int`
  `ObjectNameTitle`
  `int`
  `ObjectNameTitleIndex`
  `WinNT.LARGE_INTEGER`
  `PerfFreq`
  `WinNT.LARGE_INTEGER`
  `PerfTime`
  `int`
  `TotalByteLength`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PERF_OBJECT_TYPE()`
  `PERF_OBJECT_TYPE(Pointer p)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TotalByteLength

    public int TotalByteLength

  - ### DefinitionLength

    public int DefinitionLength

  - ### HeaderLength

    public int HeaderLength

  - ### ObjectNameTitleIndex

    public int ObjectNameTitleIndex

  - ### ObjectNameTitle

    public int ObjectNameTitle

  - ### ObjectHelpTitleIndex

    public int ObjectHelpTitleIndex

  - ### ObjectHelpTitle

    public int ObjectHelpTitle

  - ### DetailLevel

    public int DetailLevel

  - ### NumCounters

    public int NumCounters

  - ### DefaultCounter

    public int DefaultCounter

  - ### NumInstances

    public int NumInstances

  - ### CodePage

    public int CodePage

  - ### PerfTime

    public WinNT.LARGE_INTEGER PerfTime

  - ### PerfFreq

    public WinNT.LARGE_INTEGER PerfFreq

- ## Constructor Details

  - ### PERF_OBJECT_TYPE

    public PERF_OBJECT_TYPE()

  - ### PERF_OBJECT_TYPE

    public PERF_OBJECT_TYPE(Pointer p)